<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.store.biz.mapper.KxsWarehouseMachineApplyMapper">

    <resultMap type="com.kxs.store.api.model.KxsWarehouseMachineApply" id="KxsWarehouseMachineApplyMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="order_sn" property="orderSn" />
        <result column="apply_num" property="applyNum" />
        <result column="apply_data" property="applyData" />
        <result column="send_num" property="sendNum" />
        <result column="use_amount" property="useAmount" />
        <result column="user_id" property="userId" />
        <result column="username" property="username" />
        <result column="user_code" property="userCode" />
        <result column="get_mode" property="getMode" />
        <result column="erp_no" property="erpNo" />
        <result column="erp_name" property="erpName" />
        <result column="remark" property="remark" />
        <result column="update_by" property="updateBy" />
        <result column="status" property="status" />

    </resultMap>
    <select id="getByPage" resultType="com.kxs.store.api.vo.kxsapp.storeLimit.WarehouseMachineApplyListVO">
        select id, apply_num, status, create_time from kxs_warehouse_machine_apply
        where del_flag = 0 and user_id = #{userId}
    </select>

</mapper>
